# Performance Monitor

## Get

> Retrieve the Performance Monitor Settings.

```json
{"openapi":"3.0.1","info":{"title":"Parallels RAS - REST API v1.0","version":"1.0"},"paths":{"/api/PerformanceMonitor":{"get":{"tags":["1-Farm settings//Performance Monitor"],"summary":"Get","description":"Retrieve the Performance Monitor Settings.","operationId":"6cab2ac4-e0a3-4ba2-80be-ad4f45752617","responses":{"200":{"description":"Success","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/PerformanceMonitorSettings"}}}},"401":{"description":"Unauthorized","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"PerformanceMonitorSettings":{"type":"object","properties":{"enabled":{"type":"boolean","description":"<para type=\"description\">Enable or disable RAS Performance Monitor.</para>"},"server":{"type":"string","description":"<para type=\"description\">Server hosting RAS Performance Monitor database.</para>","nullable":true},"port":{"type":"integer","description":"<para type=\"description\">Connection Port to the Server hosting RAS Performance Monitor database.</para>","format":"int32"}},"additionalProperties":false,"description":"<para type=\"synopsis\">RAS Performance Settings</para>\r\n<para type=\"description\"></para>"},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```

## Update

> Modify the Performance Monitor Settings.

```json
{"openapi":"3.0.1","info":{"title":"Parallels RAS - REST API v1.0","version":"1.0"},"paths":{"/api/PerformanceMonitor":{"put":{"tags":["1-Farm settings//Performance Monitor"],"summary":"Update","description":"Modify the Performance Monitor Settings.","operationId":"48184836-9c2e-4e22-b3cc-c3e54cc1dd2e","requestBody":{"description":"Performance Monitor Settings model","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/SetPerformanceMonitorSettings"}}}},"responses":{"204":{"description":"No Content"},"401":{"description":"Unauthorized","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"404":{"description":"Not Found","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"SetPerformanceMonitorSettings":{"type":"object","properties":{"enabled":{"type":"boolean","description":"<para type=\"description\">Enable or disable RAS Performance Monitor.</para>","nullable":true},"server":{"type":"string","description":"<para type=\"description\">Server hosting RAS Performance Monitor database.</para>","nullable":true},"port":{"type":"integer","description":"<para type=\"description\">Connection Port to the Server hosting RAS Performance Monitor database.</para>","format":"int32","nullable":true}},"additionalProperties":false,"description":"<para type=\"synopsis\">Update performance monitor settings</para>\r\n<para type=\"description\"></para>"},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-rest-api-guide/api-reference/farm-settings/performance-monitor.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
